// IGSE Dialogs customization

// ----------------------------------------------------------------------------------
// These definitions shouldn't be changed but you can add your own
// Colours
#define black                  0, 0, 0
#define white                  1, 1, 1
#define white2                 0.85, 0.85, 0.85
#define red                    1, 0, 0
#define green                  0, 1, 0
#define blue                   0, 0, 1
#define blue2                  0, 0, 0.902
#define yellow                 1, 1, 0.835

#define silver                 0.72,   0.72,   0.72
#define windowsgray            0.8314, 0.8157, 0.7843
#define titanwhite             0.909,  0.909,  1
#define slategray1             0.7608, 0.8745, 1
#define slategray3             0.5961, 0.6863, 0.7804
#define lightblue2             0.6863, 0.8627, 0.9255
#define lightgoldyell          0.9804, 0.9725, 0.8000
#define candlelight            0.9922, 0.8157, 0.0902

// Standard OFP colours        
#define TextColor              0.08, 0.08, 0.12
#define InvTextColor           0.35, 0.38, 0.36

// Fonts                       
#define tahoma24               "tahomaB24";
#define tahoma36               "tahomaB36";
#define tahoma48               "tahomaB48";
#define courier                "courierNewB64";
#define garamond               "garamond64";
#define steelfish64            "SteelfishB64";
#define steelfish128           "SteelfishB128";
#define audreys                "AudreysHandB48";
//-----------------------------------------------------------------------------------



//********* CUSTOMIZABLE ******************************************************************************

// === File manager properties ========================
#define IGSE_FM_rows           33                      // number of lines
#define IGSE_FM_rowSize        0.04                    // line height
#define IGSE_FM_font           tahoma24                // type of font
#define IGSE_FM_rowFontSize    0.02                    // text size
#define IGSE_FM_backColor      white                   // background colour

#define IGSE_FM_fontColor      TextColor               // font colour
#define IGSE_FM_fontSelCol     titanwhite              // when selected





// === Text editor properties =========================
#define IGSE_WIDTH             0.985 + AR_modifX*2     // dialog width

#define IGSE_rows              33                      // number of lines
#define IGSE_rowSize           0.023                   // line height
#define IGSE_font              courier                 // font in listbox & input
#define IGSE_fontSize          IGSE_rowSize-0.001      // text size

//#define IGSE_customY -0.03-AR_modifY                 // Custom window position in Y axis

#define IGSE_fontColor         TextColor, 1            // font colour, transparency
#define IGSE_fontSelCol        titanwhite, 1           // when selected

// these two you can leave empty to disable
#define IGSE_fontSelMark       candlelight, 0.5        // lines marked with alt
#define IGSE_fontBookMark      blue2, 0.5              // bookmarks

#define IGSE_Transp            0.8                     // texture background transparency
#define IGSE_LayerColor        white, IGSE_Transp/1.5  // layer colour and transparency

#define IGSE_input_color       silver                  // input background colour
#define IGSE_input_fontsize    0.023                   // input field line height
#define IGSE_input_fontcolor   TextColor, 1            // input font colour

// Word suggestion in input box
// possible values: "scripting",  "general",  ""
#define IGSE_autocomplete      "scripting"





// === Other ==========================================
#define IGSE_listFocus         true                    // enable focus on listbox
#define IGSE_updatecheck       true                    // see if there's a new version
#define IGSE_loadlastfile      true                    // open recent file on startup
#define IGSE_hidechat          true                    // move chatbox out of the screen while in text editor
//*****************************************************************************************************
